VPS侦探论坛

 找回密码
 注册
查看: 187|回复: 2

树莓派3B安装LNMP时PHP安装失败

[复制链接]
发表于 2019-8-4 19:52:44 | 显示全部楼层 |阅读模式



树莓派3B安装LNMP时PHP安装失败,附件是日志文件
求助各位大神了

网络使用网线接入 稳定 用的是最新的官方镜像buster。在上一个官方镜像安装时也出现了这种问题....








本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
发表于 2019-8-4 20:59:22 | 显示全部楼层



php选 7.1或更高版本试一下,buster的一些依赖包版本太高,低版本的php不支持
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2019-8-7 15:10:48 | 显示全部楼层

https://bbs.vpser.net/thread-18792-1-2.html
楼主的问题我已搞定,参考前面的这个帖子。
GD扩展用到了freetype,但是buster的freetype版本太高,用的是pkg-config来管理头文件,2.8x的freetype才使用freetype-config管理头文件。
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2019-8-26 16:42 , Processed in 0.042804 second(s), 27 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表